Run Forms(CTRL+R)

Advertisement
environment -Oracle 10g forms,OC4J running with Oracle 10g db
registry -- forms_path set to c:\fold1
Ret.fmx is in c:\fold1 folder.
Without configuring formsweg.cfg ,forms.conf can you run a form just by giving virtual path forms_path only?
i.e --
http://abc.andr.com:8889/forms/frmservlet?form=Ret.fmx&userid=appl/[email protected]&obr=yes&array=YES
Thanks.........
Advertisement

Replay

Michael,
You are right about the default.env file - I forgot that I had made changes to the FORMS_PATH when I setup my Forms 10g R2 installation. However, I disagree with your statement that the formsweb.cfg does not need to be modified. Even with the Oracle Jinitiator installed, I've had to tweak the formsweb.cfg file to make everything work correctly. If you don't want to use the Jinitiator then you definitely need modify the formsweb.cfg to configure the Sun JVM. By default, formsweb.cfg has the Java Plugin is set to version 1.4.2_06 - you can't even download this JVM from Sun any longer and it gets harder and harder to get version 1.5 which is the version I am using because this matches what our application server is using.
Here are the changes I've made to my formsweb.cfg (note, I'm able to use Run Form and Run Form Debug with no problem at all from my workstation).
/* This redirects the Base JInitiator HTML file to the Sun Java Plug-in base HTML file. 
This was one of the keys to making this work. Not sure why, just that this is what my
App Server Administrator told me to do.  I didn't argue since it worked! :) */
# System parameter: base HTML file for use with JInitiator client
###baseHTMLjinitiator=basejini.htm   /* Original setting */
baseHTMLjinitiator=basejpi.htm
# Parameter related to the version of the Java Plugin
###jpi_classid=clsid:CAFEEFAC-0014-0002-0006-ABCDEFFEDCBA   /* Original setting */
/* by changing 0006 to FFFF it allows any version of the Sun 1.5 JVM to work.
Otherwise you must have the specified version installed */
jpi_classid=clsid:CAFEEFAC-0015-0000-FFFF-ABCDEFFEDCBA
# Parameter related to the version of the Java Plugin
###jpi_mimetype=application/x-java-applet;jpi-version=1.4.2_06  /* Original Setting */
jpi_mimetype=application/x-java-applet;jpi-version=1.5.0Craig...